Skip to main content

Status codes and error messages

This page provides additional information you need to configure and troubleshoot Conversational AI Engine RESTful APIs.

HTTP status codes

When calling the Conversational AI Engine RESTful API, you receive an HTTP status code.

  • If the status code is 200, it means the request is successful.

  • If the status code is not 200, the request failed. The response body contains detail and reason fields, that describe the specific reason for the failure.

The following example shows a response body for a failed request:


_5
// Status code 400: Request parameters are incorrect
_5
{
_5
"detail": "create agent failed, code: 400, msg: properties: channel not found",
_5
"reason": "InvalidRequest"
_5
}

The following table shows the possible HTTP response status codes, descriptions, and suggested actions when a request fails:

Response status codeDescriptionSuggested action
200OKThe request was successful.
400Invalid request parametersCheck the detail field for specific information.
401Authentication failedCheck the Authorization header, credentials, or token and retry.
403Unauthorized accessResolve account or billing issues, or contact technical support to activate the service.
404Agent not found or has exitedCheck whether the task has been started successfully or has stopped.
409Agent conflictUse the task information returned by the server to continue subsequent operations, or retry with a different agent name.
422Access limit exceededContact technical support to raise your quota.
429Request rate limit exceededRetry using a backoff strategy.
500Internal server errorIf the problem persists, contact technical support.
502Gateway errorContact technical support.
503Agent startup failureRetry using a backoff strategy.
504Request timeoutRetry using a backoff strategy.

The following table shows the possible reason values and descriptions. Use the reason and detail fields to troubleshoot the problem.

reasonDescription
ServiceNotEnabledThe service is not enabled for the current project.
AccountSuspendedThe account has been suspended and the service is unavailable.
InternalErrorInternal error on the server.
InvalidPermissionThe service is not activated.
InvalidRequestBodyThe request body is not valid JSON.
MissingRequiredFieldA required field is missing from the request.
InvalidFieldValueA request field contains an invalid value.
ResourceQuotaLimitExceededToo many concurrent requests, exceeding the quota limit.
ConcurrencyLimitExceededToo many concurrent requests, exceeding the quota limit.
ServiceUnavailableThe service is temporarily unavailable.
ResourceAllocationFailedThe required resources cannot be allocated at this time.
TaskConflictAn agent with the same name already exists, or a conflicting task is already running.
TaskNotFoundThe task was not started successfully, was aborted after starting, or has been destroyed.
TaskOperationTimeoutInternal error on the server.
NotImplementedInternal error on the server.